Get deployment for current token
curl --request GET \
--url https://semgrep.dev/api/agent/deployment \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/agent/deployment"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/agent/deployment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment": {
"id": 123,
"name": "<string>",
"display_name": "<string>",
"slug": "<string>",
"source_type": "<string>",
"has_autofix": true,
"has_deepsemgrep": true,
"has_triage_via_comment": true,
"has_dependency_query": true,
"default_user_role": "<string>",
"features": [
{
"name": "<string>",
"expires_at": "<string>"
}
],
"organization_id": 123,
"scm_name": "<string>"
}
}Deployment
Get deployment for current token
Get all deployments for a token
GET
/
api
/
agent
/
deployment
Get deployment for current token
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Response
200 - application/json
OK
Careful, these are used by the CLI
Show child attributes
Show child attributes
Was this page helpful?
⌘I